grSoftVersion {grDevices} | R Documentation

## Report Versions of Graphics Software

### Description

Report versions of third-party graphics software.

### Usage

    grSoftVersion()

### Value

A named character vector containing at least the element

`cairo` | the version of cairographics in use, or `""` if cairographics is not available.

It may also contain the versions of third-party software used by the standard (not cairo-based) bitmap devices:

`libpng` | the version of `libpng` in use, or `""` if not available.
`jpeg` | the version of the JPEG headers used for compilation, or `""` if JPEG support was not compiled in.
`libtiff` | the version of `libtiff` in use, or `""` if not available.

Unless otherwise stated the reported version is that of the (possibly dynamically-linked) library in use at runtime.

Note that `libjpeg-turbo` used on some Linux distributions reports its version as `"6.2"`, the IJG version from which it forked.

### See Also

`extSoftVersion` for versions of non-graphics software.

### Examples

    grSoftVersion()

[Package grDevices version 3.4.2 Index]